Package org.spongepowered.asm.service

## Interface ILegacyClassTransformer

All Superinterfaces:
  `ITransformer`

All Known Implementing Classes:
  `TreeTransformer`

    public interface ILegacyClassTransformer
    extends ITransformer

Adapter interface for legacy class transformers. Legacy class transformers operate on raw byte arrays.

### Method Summary

All Methods Instance Methods Abstract Methods
`byte[]` `transformClassBytes​(java.lang.String name, java.lang.String transformedName, byte[] basicClass)` Transform a class in byte array form.

### Methods inherited from interface org.spongepowered.asm.service.ITransformer

`getName, isDelegationExcluded`

### Method Detail

#### transformClassBytes

    byte[] transformClassBytes​(java.lang.String name,
                               java.lang.String transformedName,
                               byte[] basicClass)

Transform a class in byte array form.

Parameters:
  `name` - Class original name
  `transformedName` - Class name after being processed by the class name transformer
  `basicClass` - class byte array
Returns:
  transformed bytes